from django.urls import path

# from polls import views
from django.urls import include, re_path as url
from admin import views
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [

    url(r'^$', views.super_admin, name="super_admin"),
    url(r'index', views.index, name="index"),
    url(r'forms-validation', views.forms_validation, name="forms-validation"),
    url(r'pages-register', views.pages_register, name="pages-register"),
    url(r'super_admin_login', views.super_admin_login, name="super_admin_login"),
    url(r'add-executive-admin', views.add_executive, name="add-executive-admin"),
    url(r'view-executive-admin', views.view_executive, name="view-executive-admin"),
    url(r'^edit-executive-admin(?P<pk>[\d]+)', views.edit_executive, name="edit-executive-admin"),
    url(r'^delete-executive-admin(?P<pk>[\d]+)', views.delete_executive, name="delete-executive-admin"),
    url(r'executive-profile-edit', views.edit_executive_profile, name="executive-profile-edit"),
   

    url(r'executive_login', views.executive_login, name="executive_login"),
    url(r'seller-login', views.seller_login, name="seller-login"),
   
    url(r'super-admin-logout', views.super_admin_logout, name = 'super-admin-logout'),
    url(r'executive-admin-logout', views.executive_admin_logout, name = 'executive-admin-logout'),
    url(r'seller-logout', views.seller_logout, name = 'seller-logout'),

    url(r'^change-password', views.change_password, name = 'change-password'),

    url(r'super-admin-dashboard', views.super_admin_dashboard, name="super-admin-dashboard"),
    url(r'executive-dashboard', views.executive_dashboard, name="executive-dashboard"),
    url(r'seller-dashboard', views.seller_dashboard, name="seller-dashboard"),


    # Categories function url.
    url(r'top-categories', views.top_categories, name="top-categories"),
    url(r'mid-categories', views.mid_categories, name="mid-categories"),
    url(r'end-categories', views.end_categories, name="end-categories"),

    # Add top, mid, end categories url..
    url(r'categories-top-add', views.add_top_category, name="categories-top-add"),
    url(r'^categories-top-edit(?P<pk>[\d]+)', views.edit_top_categories, name="categories-top-edit"),
    url(r'^categories-top-delete(?P<pk>[\d]+)', views.delete_top_categories, name="categories-top-delete"),
    
    url(r'categories-mid-add', views.add_mid_categories, name="categories-mid-add"),
    url(r'^categories-mid-edit(?P<pk>[\d]+)', views.edit_mid_categories, name="categories-mid-edit"),
    url(r'^categories-mid-delete(?P<pk>[\d]+)', views.delete_mid_categories, name="categories-mid-delete"),

    url(r'categories-end-add', views.add_end_categories, name="categories-end-add"),
    url(r'^categories-end-edit(?P<pk>[\d]+)', views.edit_end_categories, name="categories-end-edit"),
    url(r'^categories-end-delete(?P<pk>[\d]+)', views.delete_end_categories, name="categories-end-delete"),

    url(r'product-color-view', views.view_color, name="product-color-view"),
    url(r'product-color-add', views.add_product_color, name="product-color-add"),
    url(r'^product-color-edit(?P<pk>[\d]+)', views.edit_product_color, name="product-color-edit"),
    url(r'^product-color-delete(?P<pk>[\d]+)', views.delete_product_color, name="product-color-delete"),
    
    url(r'product-size-add', views.add_product_size, name="product-size-add"),
    url(r'product-size-view', views.view_product_size, name="product-size-view"),
    url(r'product-size-edit(?P<pk>[\d]+)', views.edit_product_size, name="product-size-edit"),
    url(r'product-size-delete(?P<pk>[\d]+)', views.delete_product_size, name="product-size-delete"),
    
    url(r'user-product-view', views.user_view_product, name="user-product-view"),

    # seller url
    url(r'seller-view', views.view_seller, name="seller-view"),
    url(r'seller-add', views.add_seller, name="seller-add"),
    url(r'seller-edit(?P<pk>[\d]+)', views.edit_seller, name="seller-edit"),
    url(r'seller-details(?P<pk>[\d]+)', views.details_seller, name="seller-details"),
    url(r'seller-delete(?P<pk>[\d]+)', views.delete_seller, name="seller-delete"),
    url(r'seller-profile-edit', views.edit_seller_profile, name="seller-profile-edit"),

    
    url(r'product-add', views.add_product, name="product-add"),
    url(r'product-view', views.view_product, name="product-view"),
    url(r'product-edit(?P<pk>[\d]+)', views.edit_product, name="product-edit"),
    url(r'product-delete(?P<pk>[\d]+)', views.delete_product, name="product-delete"),
    path('ajax/load-endCat', views.load_end_cat, name='ajax_load_endCat'),
    path('ajax/load-midCat', views.load_mid_cat, name='ajax_load_midCat'),

    url(r'product-grid', views.grid_product, name="product-grid"),
    
    url(r'banner-add', views.add_banner, name="banner-add"),
    url(r'banner-view', views.view_banner, name="banner-view"),
    url(r'banner-edit(?P<pk>[\d]+)', views.edit_banner, name="banner-edit"),
    url(r'banner-delete(?P<pk>[\d]+)', views.delete_banner, name="banner-delete"),
    
    url(r'seller-user-view', views.seller_user_view, name="seller-user-view"),
    url(r'seller-user-wishlist(?P<pk>[\d]+)', views.seller_user_wishlist, name="seller-user-wishlist"),
    url(r'seller-user-cart(?P<pk>[\d]+)', views.seller_user_cart, name="seller-user-cart"),

    url(r'seller-order-all', views.seller_order_all, name="seller-order-all"),
    url(r'seller-order-pending', views.seller_order_pending, name="seller-order-pending"),
    url(r'seller-order-confirm', views.seller_order_confirm, name="seller-order-confirm"),
    url(r'seller-order-delivery', views.seller_order_delivery, name="seller-order-delivery"),
    url(r'seller-order-delivered', views.seller_order_delivered, name="seller-order-delivered"),
    url(r'seller-order-return', views.seller_order_return, name="seller-order-return"),
    url(r'seller-order-canceled', views.seller_order_canceled, name="seller-order-canceled"),
    url(r'seller-order-details(?P<pk>[\w]+)', views.seller_order_details, name="seller-order-details"),

    url(r'seller-document-view', views.seller_document_view, name="seller-document-view"),

    url(r'seller-product-details(?P<pk>[\d]+)', views.seller_product_details, name="seller-product-details"),
    
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root = settings.MEDIA_ROOT)

